Go to the latest version of this document.

# ``twisted`.`spread`.`pb`.`Local``

class documentation

`class Local: (source)`

Constructor: `Local(object, perspective)`

View In Hierarchy

(internal) A reference to a local object.

Method | `__init__` | Initialize.
Method | `__repr__` | Undocumented
Method | `decref` | Decrement the reference count.
Method | `incref` | Increment the reference count.
Instance Variable | `object` | Undocumented
Instance Variable | `perspective` | Undocumented
Instance Variable | `refcount` | Undocumented

def __init__(self, object, perspective=None): (source)

Initialize.

def __repr__(self) -> `str`: (source)

Undocumented

def decref(self): (source)

Decrement the reference count.

Returns
the reference count after decrementing

def incref(self): (source)

Increment the reference count.

Returns
the reference count after incrementing

object = (source)

Undocumented

perspective = (source)

Undocumented

refcount = (source)

Undocumented